Page MenuHomePhabricator

Enable blocking feature of abuse filter in fawikiquote
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 14 2017, 4:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup renamed this task from Enable blocking feature of abuse filter in fawikibooks to Enable blocking feature of abuse filter in fawikiquote.Oct 14 2017, 4:40 PM

Change 384252 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable blocking feature of abuse filter in fawikiquote

https://gerrit.wikimedia.org/r/384252

Huji added a subscriber: Huji.Oct 14 2017, 6:33 PM

I think it is a good opportunity to also enable range block: $wgAbuseFilterActions = [ 'rangeblock' => true ];

Rangeblock does block the entire /16 IPv4 range of the triggering IP for
infinite, and I'm not sure if it does support IPv6 nor if it respects
BlockDuration/AnonBlockDuration from abusefilter.php. Maybe we should
investigate that first.

Change 384252 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable blocking feature of abuse filter in fawikiquote

https://gerrit.wikimedia.org/r/384252

Mentioned in SAL (#wikimedia-operations) [2017-11-01T13:46:19Z] <hashar@tin> Synchronized wmf-config/abusefilter.php: Enable blocking feature of abuse filter in fawikiquote - T178227 (duration: 00m 50s)

Ladsgroup closed this task as Resolved.Nov 1 2017, 1:58 PM
Ladsgroup triaged this task as Low priority.
Ladsgroup removed a project: Patch-For-Review.